From 153c09c2413174448c5060856da026afc85bd6c9 Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Sat, 5 Sep 2020 18:27:20 +0200
Subject: [PATCH] fix python

---
 apps/dbus/presage_dbus_service.py | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/apps/dbus/presage_dbus_service.py b/apps/dbus/presage_dbus_service.py
index 87f9c02..e005269 100755
--- a/apps/dbus/presage_dbus_service.py
+++ b/apps/dbus/presage_dbus_service.py
@@ -72,7 +72,7 @@ class PresageObject(dbus.service.Object):
         self.callback = DbusPresageCallback().__disown__()
         self.prsg = presage.Presage(self.callback, config)
         dbus.service.Object.__init__(self, name, self.path)
-        print 'Created presage object %s' % self.path
+        print ('Created presage object %s' % self.path)
 
 #    def __del__( self ):
 #        print 'PresageObject destroyed: ', self 
@@ -88,7 +88,7 @@ class PresageObject(dbus.service.Object):
     @dbus.service.method(dbus_interface = presage_service_interface)
     def destroy(self):
         self.remove_from_connection()
-        print 'Removed presage object ' + self.path
+        print ('Removed presage object ' + self.path)
 
 
 class PresageService(dbus.service.Object):
@@ -98,7 +98,7 @@ class PresageService(dbus.service.Object):
         self.path = presage_service_path
         self.loop = loop
         dbus.service.Object.__init__(self, self.name, self.path)
-        print 'Service %s created, pid %d' % (presage_service_name, os.getpid())
+        print ('Service %s created, pid %d' % (presage_service_name, os.getpid()))
 
     @dbus.service.method(dbus_interface = presage_service_interface,
                          in_signature = 's',
@@ -112,11 +112,11 @@ class PresageService(dbus.service.Object):
                          out_signature = '')
     def shutdown(self):
         self.loop.quit()
-        print 'Service %s shutdown' % presage_service_name
+        print ('Service %s shutdown' % presage_service_name)
 
 
 def start():
-    print 'Starting ' + presage_service_name + '...'
+    print ('Starting ' + presage_service_name + '...')
 
     dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
     loop = gobject.MainLoop()
@@ -124,7 +124,7 @@ def start():
     loop.run()
 
 def stop():
-    print 'Stopping ' + presage_service_name + '...'
+    print ('Stopping ' + presage_service_name + '...')
     try:
         dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
         bus = dbus.SessionBus()
@@ -132,8 +132,8 @@ def stop():
         presage_service_object.shutdown()
 
     except Exception, e:
-        print 'Caught exception while attempting to stop ' + presage_service_name
-        print e
+        print ('Caught exception while attempting to stop ' + presage_service_name)
+        print (e)
         
 if __name__ == '__main__':
     start()
-- 
2.26.2

